Arch IfcSpreadsheet: Difference between revisions

From FreeCAD Documentation
m (Changed section to 'Usage')
m (Added {{KEY}} shortcut to {{GuiCommand}})
Line 9: Line 9:
|MenuLocation=Arch → Utilities → Create IFC spreadsheet
|MenuLocation=Arch → Utilities → Create IFC spreadsheet
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch Module|Arch]]
|Shortcut=I P
|Shortcut={{KEY|I}} {{KEY|P}}
|SeeAlso=[[Arch IFC]], [[Arch IfcExplorer]]
|SeeAlso=[[Arch IFC]], [[Arch IfcExplorer]]
|Icon=Arch_Schedule.svg
|Icon=Arch_Schedule.svg

Revision as of 16:55, 1 February 2020

Arch MakeIfcSpreadsheet

Menu location
Arch → Utilities → Create IFC spreadsheet
Workbenches
Arch
Default shortcut
I P
Introduced in version
-
See also
Arch IFC, Arch IfcExplorer

Description

This tool creates a spreadsheet to store IFC properties of an object.

Usage

  1. Select an object.
  2. Go to Arch → Utilities → Create IFC spreadsheet.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)